Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class TransformerFactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.transform.TransformerFactoryConfigurationError

All Implemented Interfaces:
  Serializable

public class TransformerFactoryConfigurationError
extends Error

Thrown when a problem with configuration with the Transformer Factories exists. This error will typically be thrown when the class of a transformation factory specified in the system properties cannot be found or instantiated.

See Also:
  Serialized Form

Constructor Summary
`TransformerFactoryConfigurationError()` Create a new `TransformerFactoryConfigurationError` with no detail mesage.
`TransformerFactoryConfigurationError(Exception e)` Create a new `TransformerFactoryConfigurationError` with a given `Exception` base cause of the error.
`TransformerFactoryConfigurationError(Exception e, String msg)` Create a new `TransformerFactoryConfigurationError` with the given `Exception` base cause and detail message.
`TransformerFactoryConfigurationError(String msg)` Create a new `TransformerFactoryConfigurationError` with the `String` specified as an error message.

Method Summary
`Exception` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
`String` | `getMessage()` Return the message (if any) for this error .

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError()

  Create a new `TransformerFactoryConfigurationError` with no detail mesage.

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(String msg)

  Create a new `TransformerFactoryConfigurationError` with the `String` specified as an error message.

Parameters:
  `msg` - The error message for the exception.

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(Exception e)

  Create a new `TransformerFactoryConfigurationError` with a given `Exception` base cause of the error.

Parameters:
  `e` - The exception to be encapsulated in a TransformerFactoryConfigurationError.

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(Exception e,
                                                String msg)

  Create a new `TransformerFactoryConfigurationError` with the given `Exception` base cause and detail message.

Parameters:
  `e` - The exception to be encapsulated in a TransformerFactoryConfigurationError
  `msg` - The detail message.

Method Detail

### getMessage

    public String getMessage()

  Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception will be returned.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The error message.

### getException

    public Exception getException()

  Return the actual exception (if any) that caused this exception to be raised.

  Returns:
    The encapsulated exception, or null if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.